classification
Title: Telnet documentation: fix the link to open()
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, brugz, docs@python, michaelanckaert, miss-islington, vstinner
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2019-08-11 16:13 by Mariatta, last changed 2019-08-21 11:53 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15281 merged michaelanckaert, 2019-08-14 15:21
PR 15355 merged miss-islington, 2019-08-21 11:14
PR 15356 merged miss-islington, 2019-08-21 11:14
PR 15357 merged miss-islington, 2019-08-21 11:39
Messages (8)
msg349393 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2019-08-11 16:13
Bug in the Telnet docs: https://docs.python.org/3/library/telnetlib.html

In the section https://docs.python.org/3/library/telnetlib.html#telnetlib.Telnet the “open()” link should probably point to https://docs.python.org/3/library/telnetlib.html#telnetlib.Telnet.open but instead it points to https://docs.python.org/3/library/functions.html#open

This is newcomer friendly and I would prefer it be done by first time contributors.

Reported in docs mailing list: https://mail.python.org/pipermail/docs/2019-August/041817.html
msg349457 - (view) Author: Matthew Bruggeman (brugz) * Date: 2019-08-12 11:34
I can take a look
msg349711 - (view) Author: Michael Anckaert (michaelanckaert) * Date: 2019-08-14 15:23
I created a PR for this issue (PR 15281). If any changes are required I'm more than happy to make them.
msg350067 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-21 11:13
New changeset e0b6117e2723327d6741d0aa599408514add5b30 by Victor Stinner (Michael Anckaert) in branch 'master':
bpo-37823: Fix open() link in telnetlib doc (GH-15281)
https://github.com/python/cpython/commit/e0b6117e2723327d6741d0aa599408514add5b30
msg350070 - (view) Author: miss-islington (miss-islington) Date: 2019-08-21 11:38
New changeset c777dec6f47ce649f3dea88d308e36e45538fdac by Miss Islington (bot) in branch '3.8':
bpo-37823: Fix open() link in telnetlib doc (GH-15281)
https://github.com/python/cpython/commit/c777dec6f47ce649f3dea88d308e36e45538fdac
msg350071 - (view) Author: miss-islington (miss-islington) Date: 2019-08-21 11:38
New changeset 72088d56247ee422d8abeef94a89be463737b982 by Miss Islington (bot) in branch '3.7':
bpo-37823: Fix open() link in telnetlib doc (GH-15281)
https://github.com/python/cpython/commit/72088d56247ee422d8abeef94a89be463737b982
msg350072 - (view) Author: miss-islington (miss-islington) Date: 2019-08-21 11:52
New changeset 98b11e1160a1749bfdb48bbf4c0dda177296b005 by Miss Islington (bot) in branch '2.7':
bpo-37823: Fix open() link in telnetlib doc (GH-15281)
https://github.com/python/cpython/commit/98b11e1160a1749bfdb48bbf4c0dda177296b005
msg350073 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-21 11:53
Thanks Michael Anckaert, I merged your PR and backported it to 2.7, 3.7 and 3.8 branches.
History
Date User Action Args
2019-08-21 11:53:30vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg350073

stage: patch review -> resolved
2019-08-21 11:52:08miss-islingtonsetmessages: + msg350072
2019-08-21 11:39:19miss-islingtonsetpull_requests: + pull_request15069
2019-08-21 11:38:28miss-islingtonsetmessages: + msg350071
2019-08-21 11:38:08miss-islingtonsetnosy: + miss-islington
messages: + msg350070
2019-08-21 11:14:08miss-islingtonsetpull_requests: + pull_request15068
2019-08-21 11:14:02miss-islingtonsetpull_requests: + pull_request15067
2019-08-21 11:13:42vstinnersetnosy: + vstinner
messages: + msg350067
2019-08-14 15:23:17michaelanckaertsetnosy: + michaelanckaert
messages: + msg349711
2019-08-14 15:21:35michaelanckaertsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request15005
2019-08-12 11:34:15brugzsetnosy: + brugz
messages: + msg349457
2019-08-11 16:13:29Mariattacreate